## breezy 3.2.2

=== debian/changelog ===
breezy (3.2.2-2) unstable; urgency=medium

  * Add patch 20_setdaemon and 21_sftp_setdaemon. Closes: #1009465

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 12 Apr 2022 21:07:47 +0100

breezy (3.2.2-1) unstable; urgency=medium

  * Add patch 09_disable_logs: fix permission denied errors during test
    run.
  * Set upstream metadata fields: Security-Contact.
  * New upstream snapshot.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Mar 2022 04:01:04 +0000

=== debian/control ===
Source: breezy
Section: vcs
Priority: optional
Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               ca-certificates,
               dh-python,
               debhelper (>= 12),
               fdupes,
               cython3-dbg (>= 0.17),
               python3 (>= 2.6.6-3),
               python3-all-dbg (>= 2.6.6-3),
               python3-all-dev (>= 2.6.6-3),
               python3-configobj (>= 4.7.2+ds-2),
               python3-coverage <!nocheck>,
               python3-dulwich (>= 0.20.23),
               python3-docutils,
               python3-fastbencode,
               python3-fastimport (>= 0.9.8),
               python3-launchpadlib,
               python3-paramiko,
               python3-patiencediff,
               python3-setuptools,
               python3-six,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-subunit <!nocheck>,
               python3-testtools (>= 0.9.5~) <!nocheck>,
               debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
Homepage: https://www.breezy-vcs.org/

Package: brz
Recommends: python3-gpg, python3-dulwich (>= 0.20.23)
Architecture: all
Conflicts: git-remote-bzr, bzr-git (<< 0.6.13+bzr1650+brz1), bzr (<< 2.7.0+bzr6622-1)
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: brz-doc,
          python3-breezy.tests,
          python3-fastimport (>= 0.9.8)
Provides: bzr, bzr-stats, bzr-email, bzr-upload, bzr-git, bzr-fastimport, git-remote-bzr
Description: easy to use distributed version control system
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 Out of the box, Breezy supports both the Git and Bazaar repository
 formats.

Package: python3-breezy
Architecture: any
Section: python
Depends: python3-configobj,
         python3-six,
         python3-fastbencode,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-dulwich (>= 0.20.23)
Recommends: ca-certificates,
            python3-launchpadlib,
            python3-github,
            python3-gitlab,
            ssh-client | python3-paramiko,
            python3-gpg,
Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)
Suggests: python3-breezy-dbg,
          python3-breezy.tests,
          python3-fastimport,
          python3-kerberos (>= 1.0+svn2455-1),
          python3-paramiko,
          python3-patiencediff,
          xdg-utils,
Provides: ${python3:Provides}
Description: distributed version control system - Python 3 library
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package contains the Breezy Python 3 library.

Package: python3-breezy.tests
Architecture: all
Section: python
Depends: python3-breezy (<= ${source:Version}.1~),
         python3-breezy (>= ${source:Version}),
         python3-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-subunit
Provides: ${python3:Provides}
Replaces: python3-breezy (<< 2.4.0~beta1-2)
Description: distributed version control system - Python 3 testsuite
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats workflows, reliable, and
 easily extendable.
 .
 This package contains the breezy test infrastructure and testsuite,
 which is required to run the 'brz selftest' command and to run
 plugin tests.
 .
 This package contains the Python 3 version.

Package: brz-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: brz
Description: easy to use distributed version control system (documentation)
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many file formats and workflows, reliable,
 and easily extendable.
 .
 This package provides the documentation.

## breezy 3.3.2

=== Makefile ===
# Copyright (C) 2005-2012, 2016, 2017 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of brz. Mostly for
# building documentation, etc.


### Core Stuff ###

SHELL=bash
PYTHON?=python3
PYTHON3?=python3
BRZ_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=
BRZ_PLUGIN_PATH=-site:-user

# Shorter replacement for $(sort $(wildcard <arg>)) as $(call sw,<arg>)
sw = $(sort $(wildcard $(1)))


.PHONY: all clean realclean extensions flake8 api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: brz
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	set -o pipefail; BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) \
	  ./brz selftest -Oselftest.timeout=120 --strict \
	  --subunit2 $(tests) | tee selftest.log | subunit2pyunit
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON3)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

check-ci: docs extensions brz
	# FIXME: Remove -Wignore::FutureWarning once
	# https://github.com/paramiko/paramiko/issues/713 is not a concern
	# anymore -- vila 2017-05-24
	set -o pipefail; \
	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) \
	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2

brz:
	$(PYTHON) setup.py build_rust -i $(PYTHON_BUILDFLAGS)

# Run Python style checker (apt-get install flake8)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
flake8:
	flake8 breezy

mypy:
	mypy breezy

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

realclean: clean
	# Remove files which are autogenerated but included by the tarball.
	rm -f breezy/*_pyx.c breezy/bzr/*_pyx.c
	rm -f breezy/bzr/_simple_set_pyx.h breezy/bzr/_simple_set_pyx_api.h

# build tags for emacs and vim
TAGS:
	ctags -R -e breezy

tags:
	ctags -R breezy

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

docs: docs-sphinx

clean-docs: clean-sphinx

html-docs: html-sphinx


### Man-page Documentation ###

MAN_DEPENDENCIES = breezy/builtins.py \
	$(call sw,breezy/*.py) \
	$(call sw,breezy/*/*.py) \
	tools/generate_docs.py \
	$(call sw,$(addsuffix /*.txt, breezy/help_topics/en)) 

MAN_PAGES = man1/brz.1
man1/brz.1: $(MAN_DEPENDENCIES)
	mkdir -p $(dir $@)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	$(MAKE) -C doc/en clean
	$(MAKE) -C doc/developers clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(call sw,doc/en/release-notes/brz-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	LANGUAGE=C $(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en html
	$(MAKE) -C doc/developers api html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en latex
	$(MAKE) -C doc/developers latex
	$(MAKE) -C doc/en/_build/latex all-pdf
	$(MAKE) -C doc/developers/_build/latex all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en htmlhelp
	$(MAKE) -C doc/developers htmlhelp


# Build the texinfo files using Sphinx.
texinfo-sphinx: $(SPHINX_DEPENDENCIES)
	$(MAKE) -C doc/en texinfo
	$(MAKE) -C doc/developers texinfo

### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32
BUILDOUT_FILES = buildout.cfg \
	buildout-templates/bin/build-installer.bat.in \
	ostools.py bootstrap.py

installer-all:
	@echo Make all the installers from scratch
	@# Build everything in a separate directory, to avoid cluttering the WT
	$(PYTHON) tools/win32/ostools.py makedir build-win32
	@# cd to tools/win32 so that the relative paths are copied correctly
	cd tools/win32 && $(PYTHON) ostools.py copytree $(BUILDOUT_FILES) ../../build-win32
	@# There seems to be a bug in gf.release.brz, It doesn't correctly update
	@# existing release directories, so delete them manually before building
	@# It means things may be rebuilt that don't need to be, but at least
	@# it will be correct when they do.
	cd build-win32 && $(PYTHON) ostools.py remove release */release
	cd build-win32 && $(PYTHON) bootstrap.py
	cd build-win32 && bin/buildout
	cd build-win32 && bin/build-installer.bat $(BRZ_TARGET) $(PLUGIN_TARGET)


clean-installer-all:
	$(PYTHON) tools/win32/ostools.py remove build-win32

# make brz.exe for win32 with py2exe
exe:
	@echo *** Make brz.exe
	$(PYTHON) tools/win32/ostools.py remove breezy/*.pyd
	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)
	$(PYTHON) setup.py py2exe > py2exe.log
	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/start_brz.bat win32_brz.exe
	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/breezy.url win32_brz.exe

# win32 installer for brz.exe
installer: exe copy-docs
	@echo *** Make Windows installer
	$(PYTHON) tools/win32/run_script.py cog.py -d -o tools/win32/brz.iss tools/win32/brz.iss.cog
	iscc /Q tools/win32/brz.iss

py-inst-37: docs
	$(PYTHON37) setup.py bdist_wininst --install-script="brz-win32-bdist-postinstall.py" -d .

python-installer: py-inst-37

copy-docs: docs
	$(PYTHON) tools/win32/ostools.py copytodir README win32_brz.exe/doc
	$(PYTHON) tools/win32/ostools.py copydir doc/en/_build/html win32_brz.exe/doc
	$(PYTHON) tools/win32/ostools.py copydir doc/developers/_build/html win32_brz.exe/doc/developers

# clean on win32 all installer-related files and directories
clean-win32: clean-docs
	$(PYTHON) tools/win32/ostools.py remove build
	$(PYTHON) tools/win32/ostools.py remove win32_brz.exe
	$(PYTHON) tools/win32/ostools.py remove py2exe.log
	$(PYTHON) tools/win32/ostools.py remove tools/win32/brz.iss
	$(PYTHON) tools/win32/ostools.py remove brz-setup*.exe
	$(PYTHON) tools/win32/ostools.py remove brz-*win32.exe
	$(PYTHON) tools/win32/ostools.py remove dist


# i18n targets

.PHONY: update-pot po/brz.pot
update-pot: po/brz.pot

TRANSLATABLE_PYFILES:=$(shell find breezy -name '*.py' \
		| grep -v 'breezy/tests/' \
		| grep -v 'breezy/doc' \
		)

po/brz.pot: $(PYFILES) $(DOCFILES)
	./brz export-pot --include-duplicates > po/brz.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "brz" \
	  --msgid-bugs-address "<breezy-vcs@groups.google.com>" \
	  --copyright-holder "Breezy Developers" \
	  --from-code UTF-8 --join --sort-by-file --add-comments=i18n: \
	  -d bzr -p po -o brz.pot


### Packaging Targets ###

.PHONY: dist check-dist-tarball

# build a distribution source tarball
dist:
	version=`./brz version --short` && \
	echo Building distribution of brz $$version && \
	expbasedir=`mktemp -t -d tmp_brz_dist.XXXXXXXXXX` && \
	expdir=$$expbasedir/brz-$$version && \
	tarball=$$PWD/../breezy-$$version.tar.gz && \
	$(MAKE) clean && \
	$(MAKE) && \
	$(PYTHON) setup.py sdist -d $$PWD/.. && \
	gpg --detach-sign --armor $$tarball && \
	rm -rf $$expbasedir

# run all tests in a previously built tarball
check-dist-tarball:
	tmpdir=`mktemp -t -d tmp_brz_check_dist.XXXXXXXXXX` && \
	version=`./brz version --short` && \
	tarball=$$PWD/../breezy-$$version.tar.gz && \
	tar Cxz $$tmpdir -f $$tarball && \
	$(MAKE) -C $$tmpdir/breezy-$$version check && \
	rm -rf $$tmpdir

=== debian/changelog ===
breezy (3.3.2-3) unstable; urgency=medium

  * Point Vcs-Bzr header at launchpad.net since code.breezy-vcs.org is
    down. Closes: #1031996

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 27 Feb 2023 11:11:34 +0000

breezy (3.3.2-2) unstable; urgency=medium

  * Disable breezy.tests.test_plugins for now, as it leaks references in
    sys.modules.
  * Drop recommends of python3-gitlab; no longer used.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Jan 2023 20:59:03 +0000

breezy (3.3.2-1) unstable; urgency=low

  * New upstream release.
   + Bump minimum dulwich version to 0.21.2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Jan 2023 21:33:11 +0000

breezy (3.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 21:28:35 +0000

breezy (3.3.0+bzr7661-5) unstable; urgency=medium

  * Add patch 19_brz_executable: Make the brz binary a python script for
    the moment, to allow autopkgtest in testing to run. Closes: #1023227

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 17:04:44 +0000

breezy (3.3.0+bzr7661-4) unstable; urgency=medium

  * Fix compatibility with newer versions of Dulwich.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Nov 2022 09:12:24 +0000

breezy (3.3.0+bzr7661-3) unstable; urgency=medium

  * Fix autopkgtest: Avoid calling brz through Python, since it is now a
    Rust binary. Closes: ##1023227

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 20:19:47 +0000

breezy (3.3.0+bzr7661-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop unused overrides.
  * Drop upstream merged patches 20_setdaemon, 21_sftp_setdaemon.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 10 Oct 2022 16:06:40 +0100

breezy (3.3.0+bzr7661-1) experimental; urgency=low

  * New upstream snapshot.
    + Stops installing of non-breezy packages. Closes: #1021540

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 10 Oct 2022 13:41:54 +0100

breezy (3.3.0+bzr7660-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes FTBFS. Closes: #1012015

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Oct 2022 20:44:16 -0000

breezy (3.3.0~bzr7628-1) experimental; urgency=low

  * New upstream snapshot.
   + Drop patch 09_disable_logs: applied upstream.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Sep 2022 23:30:03 +0100

breezy (3.3.0~bzr7572-1) experimental; urgency=low

  * New upstream snapshot.
  * Add missing build dependency on rustc and librust-pyo3-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 May 2022 23:27:09 -0000

breezy (3.3.0~bzr7571-1) experimental; urgency=medium

  * Add missing build dependency on python-setuptools-rust.
  * New upstream snapshot.
   + Drop some no longer necessary snapshots.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 May 2022 19:27:46 -0000

breezy (3.3.0~bzr7568-1) experimental; urgency=low

  * Set upstream metadata fields: Security-Contact.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Apr 2022 23:17:08 -0000

breezy (3.2.1+bzr7535-1) UNRELEASED; urgency=medium

  * Update vcs fields for experimental.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 09:21:12 -0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: bash-completion,
                ca-certificates,
                dh-python,
-               debhelper (>= 12),
                fdupes,
                cython3-dbg (>= 0.17),
                python3 (>= 2.6.6-3),
@@ -14,33 +13,43 @@
                python3-all-dev (>= 2.6.6-3),
                python3-configobj (>= 4.7.2+ds-2),
                python3-coverage <!nocheck>,
-               python3-dulwich (>= 0.20.23),
+               python3-dulwich (>= 0.21.2),
                python3-docutils,
                python3-fastbencode,
                python3-fastimport (>= 0.9.8),
                python3-launchpadlib,
+               python3-merge3,
                python3-paramiko,
                python3-patiencediff,
                python3-setuptools,
+               python3-setuptools-gettext,
+               python3-setuptools-rust,
                python3-six,
                python3-sphinx (>= 1.0.7+dfsg),
                python3-subunit <!nocheck>,
                python3-testtools (>= 0.9.5~) <!nocheck>,
-               debhelper-compat (= 13)
-Standards-Version: 4.6.0
+               python3-yaml,
+               debhelper-compat (= 13),
+               librust-pkg-version-dev,
+               librust-pyo3-dev,
+               librust-regex+aho-corasick-dev,
+               rustc
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
-Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
+Vcs-Bzr: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
+Vcs-Browser: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
 Homepage: https://www.breezy-vcs.org/
 
 Package: brz
-Recommends: python3-gpg, python3-dulwich (>= 0.20.23)
-Architecture: all
+Recommends: python3-gpg, python3-dulwich (>= 0.21.2)
+Architecture: any
 Conflicts: git-remote-bzr, bzr-git (<< 0.6.13+bzr1650+brz1), bzr (<< 2.7.0+bzr6622-1)
 Depends: python3-breezy (<= ${source:Version}.1~),
          python3-breezy (>= ${source:Version}),
+         python3,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${shlibs:Depends}
 Suggests: brz-doc,
           python3-breezy.tests,
           python3-fastimport (>= 0.9.8)
@@ -59,14 +68,15 @@
 Depends: python3-configobj,
          python3-six,
          python3-fastbencode,
+         python3-merge3,
+         python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-dulwich (>= 0.20.23)
+         python3-dulwich (>= 0.21.2)
 Recommends: ca-certificates,
             python3-launchpadlib,
             python3-github,
-            python3-gitlab,
             ssh-client | python3-paramiko,
             python3-gpg,
 Conflicts: python3-paramiko (<< 1.14.1), python3-dulwich (<< 0.19.11)

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Get the default Python version
PY3VERSION = $(shell py3versions -d -v)

export PYBUILD_NAME=breezy

%:
	dh $@ --with python3,sphinxdoc,bash_completion  --buildsystem=pybuild

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
	[ -d debian/brzhome ] || mkdir debian/brzhome
	$(CONCURRENCY) \
	BRZ_HOME=debian/brzhome \
	BRZ_PLUGIN_PATH=-site:-user \
	LC_ALL=C.UTF-8 \
	PYTHONWARNINGS=ignore::ResourceWarning \
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VERSION)_breezy/build \
	python$(PY3VERSION) -m breezy selftest -v \
	-Oselftest.timeout=6000 -x bash_completion -x zsh_completion \
	-x breezy.tests.test_script.TestExecution \
	-x breezy.tests.test_transport.TestSSHConnections.test_bzr_connect_to_bzr_ssh -x test_export_pot \
	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_local_remote \
	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_remote_remote \
	-x breezy.tests.test_gpg \
	-x breezy.tests.test_plugins

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/brzhome
	rm -f brzlib/*_pyx.c
	# It also doesn't really clean every thing...
	ls doc/en/user-reference/*txt | grep -v readme.txt | xargs rm -rf
	rm -rf doc/developers/make.bat \
		doc/developers/Makefile \
		doc/*/_build/ \
		doc/en/release-notes/index.txt

override_dh_install:
	dh_install
	for py in $(shell py3versions -r); do \
		mkdir -p debian/python3-breezy.tests/usr/lib/$$py/dist-packages/breezy; \
		mv debian/python3-breezy/usr/lib/$$py/dist-packages/breezy/tests \
			debian/python3-breezy.tests/usr/lib/$$py/dist-packages/breezy/tests; \
	done
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from brz-doc.install.
	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
		xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
		"debian/brz-doc/usr/share/doc/brz/txt/{}"
	rm debian/python3-breezy/usr/man/man1/brz.1 \
		debian/python3-breezy/usr/man/man1/git-remote-bzr.1 \
		debian/python3-breezy/usr/bin/bzr-receive-pack \
		debian/python3-breezy/usr/bin/brz \
		debian/python3-breezy/usr/bin/bzr-upload-pack \
		debian/python3-breezy/usr/bin/git-remote-bzr
	rmdir debian/python3-breezy/usr/man/man1 \
		  debian/python3-breezy/usr/man
	rm debian/python3-breezy-dbg/usr/man/man1/brz.1 \
		debian/python3-breezy-dbg/usr/man/man1/git-remote-bzr.1 \
		debian/python3-breezy-dbg/usr/bin/bzr-receive-pack \
		debian/python3-breezy-dbg/usr/bin/brz \
		debian/python3-breezy-dbg/usr/bin/bzr-upload-pack \
		debian/python3-breezy-dbg/usr/bin/git-remote-bzr
	rmdir debian/python3-breezy-dbg/usr/man/man1 \
		  debian/python3-breezy-dbg/usr/man

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0 $(MAKE) docs-sphinx

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-breezy
endif

override_dh_link:
	# symlink identical resources.
	( cd debian/brz-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
	      f=$$1; shift; \
	      for d; do \
		  ln -sf /usr/share/doc/"$$d" "$$f"; \
	      done; \
	done )
	dh_link

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc -X searchtools.js
endif
	# dh_sphinxdoc chokes if we delete the extra licence files before it runs.
	find debian/brz-doc/usr/share/doc/brz -name "licence.txt" -print | xargs rm -f

## breezy 3.3.4

=== Makefile ===
--- 
+++ 
@@ -72,10 +72,10 @@
 # Note that at present this gives many false warnings, because it doesn't
 # know about identifiers loaded through lazy_import.
 flake8:
-	flake8 breezy
+	$(PYTHON) -m flake8 breezy
 
 mypy:
-	mypy breezy
+	$(PYTHON) -m mypy breezy
 
 clean:
 	$(PYTHON) setup.py clean
@@ -314,3 +314,6 @@
 	tar Cxz $$tmpdir -f $$tarball && \
 	$(MAKE) -C $$tmpdir/breezy-$$version check && \
 	rm -rf $$tmpdir
+
+reformat:
+	isort .

=== debian/changelog ===
breezy (3.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Sep 2023 18:13:45 -0000

breezy (3.3.3-2) unstable; urgency=medium

  * Drop unnecessary dependency on python3-six. Closes: #1039011
  * Drop dependency on cython3-dbg. Closes: #1040544

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Jun 2023 14:58:57 +0100

breezy (3.3.3-1) unstable; urgency=low

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Jun 2023 16:04:18 -0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                ca-certificates,
                dh-python,
                fdupes,
-               cython3-dbg (>= 0.17),
+               cython3 (>= 0.29),
                python3 (>= 2.6.6-3),
                python3-all-dbg (>= 2.6.6-3),
                python3-all-dev (>= 2.6.6-3),
                python3-configobj (>= 4.7.2+ds-2),
                python3-coverage <!nocheck>,
-               python3-dulwich (>= 0.21.2),
+               python3-dulwich (>= 0.21.6),
                python3-docutils,
                python3-fastbencode,
                python3-fastimport (>= 0.9.8),
@@ -24,7 +24,6 @@
                python3-setuptools,
                python3-setuptools-gettext,
                python3-setuptools-rust,
-               python3-six,
                python3-sphinx (>= 1.0.7+dfsg),
                python3-subunit <!nocheck>,
                python3-testtools (>= 0.9.5~) <!nocheck>,
@@ -34,14 +33,14 @@
                librust-pyo3-dev,
                librust-regex+aho-corasick-dev,
                rustc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Bzr: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
 Vcs-Browser: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
 Homepage: https://www.breezy-vcs.org/
 
 Package: brz
-Recommends: python3-gpg, python3-dulwich (>= 0.21.2)
+Recommends: python3-gpg, python3-dulwich (>= 0.21.6)
 Architecture: any
 Conflicts: git-remote-bzr, bzr-git (<< 0.6.13+bzr1650+brz1), bzr (<< 2.7.0+bzr6622-1)
 Depends: python3-breezy (<= ${source:Version}.1~),
@@ -73,7 +72,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-dulwich (>= 0.21.2)
+         python3-dulwich (>= 0.21.6)
 Recommends: ca-certificates,
             python3-launchpadlib,
             python3-github,

## breezy 3.3.5

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	@echo "building extension modules."
 	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)
 
-check: docs check-nodocs
+check:: docs check-nodocs
 
 check-nodocs: brz
 	-$(RM) -f selftest.log
@@ -316,4 +316,15 @@
 	rm -rf $$tmpdir
 
 reformat:
-	isort .
+	isort breezy
+
+check:: check-formatting
+
+check-formatting:
+	isort --check-only breezy
+
+.testrepository:
+	testr init
+
+testr: .testrepository all
+	testr run --parallel

=== debian/changelog ===
breezy (3.3.5-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:42 +1100

breezy (3.3.5-6build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:08:24 +0100

breezy (3.3.5-6) unstable; urgency=medium

  * Add python3-tzlocal to Depends, rather than Suggests. Closes:
    #1063029

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Feb 2024 23:28:52 +0000

breezy (3.3.5-5) unstable; urgency=medium

  * Add dependency on tzlocal in python3-breezy rather than python3-
    breezy.tests. Closes: #1063029

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Feb 2024 19:18:32 +0000

breezy (3.3.5-4) unstable; urgency=medium

  * Add missing dependency on python3-tzlocal.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Feb 2024 18:50:53 +0000

breezy (3.3.5-3) unstable; urgency=medium

  * Add patch 17_python3.12_compat: fix test suite compatibility with
    Python 3.12. Closes: #1061937

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Feb 2024 00:53:57 +0000

breezy (3.3.5-2) unstable; urgency=medium

  * Add missing dependency on python3-packaging. Closes: #1061301
  * Depend on python3-setuptools-gettext >= 0.1.10 that installs
    locale files to the right directory. Closes: #1061335

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Jan 2024 12:35:24 +0000

breezy (3.3.5-1) unstable; urgency=medium

  * Remove another dependency on six.
  * New upstream release.
    + Fixes FTBFS against Python 3.12. Closes: #1057860

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 19 Jan 2024 22:12:03 -0000

breezy (3.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace broken build-dependency on "librust-regex+aho-corasick-dev"
    with build-dependency on "librust-regex-1+default-dev (>= 1.5.4)"
    based on the contents of Cargo.toml.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 26 Oct 2023 02:55:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breezy
 Section: vcs
 Priority: optional
-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                ca-certificates,
@@ -19,19 +20,22 @@
                python3-fastimport (>= 0.9.8),
                python3-launchpadlib,
                python3-merge3,
+               python3-packaging,
                python3-paramiko,
                python3-patiencediff,
                python3-setuptools,
-               python3-setuptools-gettext,
+               python3-setuptools-gettext (>= 0.1.10),
                python3-setuptools-rust,
                python3-sphinx (>= 1.0.7+dfsg),
                python3-subunit <!nocheck>,
                python3-testtools (>= 0.9.5~) <!nocheck>,
+               python3-tzlocal,
                python3-yaml,
                debhelper-compat (= 13),
                librust-pkg-version-dev,
                librust-pyo3-dev,
-               librust-regex+aho-corasick-dev,
+               librust-regex-1+default-dev (>= 1.5.4),
+               librust-lazy-static-dev,
                rustc
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -65,9 +69,9 @@
 Architecture: any
 Section: python
 Depends: python3-configobj,
-         python3-six,
          python3-fastbencode,
          python3-merge3,
+         python3-tzlocal,
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
@@ -100,6 +104,7 @@
 Depends: python3-breezy (<= ${source:Version}.1~),
          python3-breezy (>= ${source:Version}),
          python3-testtools (>= 0.9.5~),
+         python3-packaging,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python3-subunit

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_local_remote \
 	-x breezy.tests.blackbox.test_branch.TestRemoteBranch.test_branch_remote_remote \
 	-x breezy.tests.test_gpg \
-	-x breezy.tests.test_plugins
+	-x breezy.tests.test_plugins \
+	-x test_build_and_install
 
 override_dh_auto_clean:
 	dh_auto_clean

## breezy 3.3.6

=== debian/changelog ===
breezy (3.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Apr 2024 17:13:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: breezy
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                ca-certificates,

## breezy 3.3.9

=== debian/changelog ===
breezy (3.3.9-2) unstable; urgency=medium

  [ Adrien Nader ]
  * Python 3.13 compatbility (Closes: #1092458):
    - Generate test certificates that pass python3.13 validation
      requirements:
      + d/p/python3.13/0001-tests-generate-test-certificates-that-pass-python-3..patch
      + d/p/python3.13/0004-tests-re-generate-CA-certificates-after-changes-to-t.patch
    - Adapt docstring testcase to python3.13 by removing leading
      whitespace:
      + d/p/python3.13/0005-tests-match-python-3.13-drop-leading-whitespace-in-e.patch

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 22 Jan 2025 19:22:29 +0000

breezy (3.3.9-1) unstable; urgency=low

  * New upstream release.
    + Fixes compatibility with newer Pyo3. Closes: #1078393

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Oct 2024 14:24:03 -0000

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 		doc/developers/Makefile \
 		doc/*/_build/ \
 		doc/en/release-notes/index.txt
+	-mv Cargo.lock.bak Cargo.lock
 
 override_dh_install:
 	dh_install
@@ -77,6 +78,7 @@
 		  debian/python3-breezy-dbg/usr/man
 
 override_dh_auto_build:
+	mv Cargo.lock Cargo.lock.bak
 	dh_auto_build
 	PYTHONHASHSEED=0 $(MAKE) docs-sphinx

## breezy 3.3.10

=== debian/changelog ===
breezy (3.3.10-1) unstable; urgency=medium

  * Move Vcs to Git, consistent with upstream.
  * New upstream release.
   + Fixes compatibility with Python 3.13. Closes: #1099121
  * Add patch 17_pyo3_0.22: fix compatibilith with PyO3 0.22.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Mar 2025 16:20:27 -0000

## breezy 3.3.11

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

api:
	sphinx-apidoc -feM -s txt -o api ../../breezy

html:
	$(make_output_dirs)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(make_output_dirs)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(make_output_dirs)
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(make_output_dirs)
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(make_output_dirs)
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(make_output_dirs)
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Bazaar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Bazaar.qhc"

latex:
	$(make_output_dirs)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(make_output_dirs)
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(make_output_dirs)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(make_output_dirs)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

texinfo:
	$(make_output_dirs)
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
        # Now build the info files using the Makefile provided by Sphinx
	$(MAKE) -C _build/texinfo

=== debian/changelog ===
breezy (3.3.11-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:14:19 +0000

breezy (3.3.11-1ubuntu1) questing; urgency=medium

  * Add patch
    18_skip_public_http_url_construction_for_private_launchpad_branches: skip
    public HTTP URL generation for private Launchpad branches. (LP: #2121884)

 -- Guruprasad Lakshmi Narayanan <guruprasad.ln@canonical.com>  Wed, 03 Sep 2026 18:40:55 +0530

breezy (3.3.11-1) unstable; urgency=medium

  * New upstream release.
   + Drops static tuple support. Closes: #1099121
   + Fixes timezone handling regression. Closes: #1100836

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 07 Apr 2025 22:19:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 		  debian/python3-breezy-dbg/usr/man
 
 override_dh_auto_build:
-	mv Cargo.lock Cargo.lock.bak
+	-mv Cargo.lock Cargo.lock.bak
 	dh_auto_build
 	PYTHONHASHSEED=0 $(MAKE) docs-sphinx

## breezy 3.3.17

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,6 @@
 realclean: clean
 	# Remove files which are autogenerated but included by the tarball.
 	rm -f breezy/*_pyx.c breezy/bzr/*_pyx.c
-	rm -f breezy/bzr/_simple_set_pyx.h breezy/bzr/_simple_set_pyx_api.h
 
 # build tags for emacs and vim
 TAGS:
@@ -316,12 +315,12 @@
 	rm -rf $$tmpdir
 
 reformat:
-	isort breezy
+	ruff format breezy
 
 check:: check-formatting
 
 check-formatting:
-	isort --check-only breezy
+	ruff format --check breezy
 
 .testrepository:
 	testr init

=== doc/en/_static/en/Makefile ===
# If you feel the need to duplicate this file, you'll win the right to refactor
# doc/*/quick-reference/Makefile and update TARGETS and OBJECTS usages in
# doc/Makefile

TARGETS=brz-en-quick-reference.png brz-en-quick-reference.pdf
OBJECTS=brz-en-quick-reference.svg Makefile

all: $(TARGETS)

.SUFFIXES: .svg .png .pdf

.svg.pdf:
	rsvg-convert -d 300 -p 300 -f pdf -o $@ $<

.svg.png:
	rsvg-convert -d 300 -p 300 -z 3.3346 -f png -o $@ $<

brz-en-quick-reference.png: $(OBJECTS)

brz-en-quick-reference.pdf: $(OBJECTS)

clean:
	rm -f $(TARGETS)

=== debian/changelog ===
breezy (3.3.17-1) unstable; urgency=medium

  * New upstream release.
   + Fix compatibility with pyo3 0.26. Closes: #1115453
   + Fix compatibility with Dulwich 0.24.2. Closes: #1117656

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 30 Oct 2025 01:24:49 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-all-dev (>= 2.6.6-3),
                python3-configobj (>= 4.7.2+ds-2),
                python3-coverage <!nocheck>,
-               python3-dulwich (>= 0.21.6),
+               python3-dulwich (>= 0.24.2), python3-dulwich (<< 0.25),
                python3-docutils,
                python3-fastbencode,
                python3-fastimport (>= 0.9.8),
@@ -32,14 +32,14 @@
                python3-yaml,
                debhelper-compat (= 13),
                librust-pkg-version-dev,
-               librust-pyo3-dev,
+               librust-pyo3-dev (>= 0.26), librust-pyo3-dev (<< 0.28),
                librust-regex-1+default-dev (>= 1.5.4),
                librust-lazy-static-dev,
                rustc
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Bzr: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
-Vcs-Browser: https://code.launchpad.net/~jelmer/debian/sid/breezy/main/
+Vcs-Git: https://salsa.debian.org/breezy-team/breezy.git
+Vcs-Browser: https://salsa.debian.org/breezy-team/breezy
 Homepage: https://www.breezy-vcs.org/
 
 Package: brz
@@ -75,7 +75,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-dulwich (>= 0.21.6)
+         python3-dulwich (>= 0.24.2), python3-dulwich (<< 0.25),
 Recommends: ca-certificates,
             python3-launchpadlib,
             python3-github,

=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/;s/b/.0~beta/;s/a/.0~alpha/,pgpsigurlmangle=s/$/.asc/ https://launchpad.net/brz/+download https://launchpad.net/brz/.*/breezy-(.+).tar.gz
